<?php 
require_once "../modelos/Escritoriod.php";

$escritorio		=new Escritoriod();

$idescritorio =isset($_POST["idescritorio"])? limpiarCadena($_POST["idescritorio"]):"";
$idvendedor   =isset($_POST["idvendedor"])? limpiarCadena($_POST["idvendedor"]):"";
$descripcion  =isset($_POST["descripcion"])? limpiarCadena($_POST["descripcion"]):"";

switch ($_GET["op"]) {
	case 'guardaryeditar':
	
	break;
	
	case 'selectCama':
	
		
	break;
		
	case 'desactivar':
	
	break;
	case 'activar':
		
	break;
	
	case 'mostrar':
		//$rspta=$escritorio->mostrar($idescritorio);
		echo json_encode($rspta);
	break;

    case 'listarcliente':
		$rspta=$escritorio->listarcliente($idvendedor);
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="left">'.$reg->nombre.'</div>',
            "1"=>($reg->condicion)?'<div align="center"><span class="badge bg-green">Activado</span></div>':'<div align="center"><span class="badge bg-red">Desactivado</span></div>'
            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarclientenuevo':
		$rspta=$escritorio->listarclientenuevo($idvendedor);
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="left">'.$reg->nombre.'</div>',
            "1"=>'<div align="center">'.$reg->fechafaturacion.'</div>'
            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarclientemas':
		$rspta=$escritorio->listarcliente($idvendedor);
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="left">'.$reg->nombre.'</div>',
            "1"=>($reg->condicion)?'<div align="center"><span class="badge bg-green">Activado</span></div>':'<div align="center"><span class="badge bg-red">Desactivado</span></div>'
            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

/*
	case 'listarclientemas90dias':
		$rspta=$escritorio->listarclientemas90dias($idvendedor);
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="left">'.$reg->nombre.'</div>',
            "1"=>'<div align="center">'.$reg->fechafaturacion.'</div>',
						"2"=>'<div align="left">'.$reg->direcciond.'</div>',
						"3"=>'<div align="left">'.$reg->telefono.'</div>',
            "4"=>($reg->condicion)?'<div align="center"><span class="badge bg-green">Activado</span></div>':'<div align="center"><span class="badge bg-red">Desactivado</span></div>'
            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;
*/
    case 'listarclientemas90dias':
		$rspta=$escritorio->listarclientemas90dias($idvendedor);
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="left">'.$reg->nombre.'</div>',
            "1"=>'<div align="center">'.$reg->fechafaturacion.'</div>',
						"2"=>'<div align="left">'.$reg->direcciond.'</div>',
						"3"=>'<div align="left">'.$reg->telefono.'</div>',
						"4"=>'<div align="right">'.$reg->saldo.'</div>',
						"5"=>($reg->estados=='Sin Deuda')?'<div align="center"><span class="badge bg-green">'.$reg->estados.'</span></div>':'<div align="center"><span class="badge bg-red">'.$reg->estados.'</span></div>'
            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;
    
	case 'listarclientemes':
		$rspta=$escritorio->listarclientemes($idvendedor);
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="left">'.$reg->nombre.'</div>',
            "1"=>'<div align="center">'.$reg->fechafaturacion.'</div>'
            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarcliente90dias':
		$rspta=$escritorio->listarcliente90dias($idvendedor);
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="left">'.$reg->nombre.'</div>',
            "1"=>'<div align="center">'.$reg->fechafaturacion.'</div>'
            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarclientecxcmes':
		$rspta=$escritorio->listarclientecxcmes($idvendedor);
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="left">'.$reg->nombre.'</div>',
						"1"=>'<div align="left">'.$reg->nrocxc.'</div>',
						"2"=>'<div align="center">'.$reg->fechafaturacion.'</div>',
						"3"=>'<div align="left">'.$reg->monto.'</div>',
						"4"=>'<div align="left">'.$reg->cobrado.'</div>',
						"5"=>'<div align="left">'.$reg->saldo.'</div>',
						"6"=>($reg->estado=='Pendiente')?'<div align="center"><span class="badge bg-red">'.$reg->estado.'</span></div>':'<div align="center"><span class="badge bg-yellow">'.$reg->estado.'</span></div>'
            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarclientecxc90dias':
		$rspta=$escritorio->listarclientecxc90dias($idvendedor);
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="left">'.$reg->nombre.'</div>',
						"1"=>'<div align="left">'.$reg->nrocxc.'</div>',
            "2"=>'<div align="center">'.$reg->fechafaturacion.'</div>',
						"3"=>'<div align="left">'.$reg->monto.'</div>',
						"4"=>'<div align="left">'.$reg->cobrado.'</div>',
						"5"=>'<div align="left">'.$reg->saldo.'</div>',
						"6"=>($reg->estado=='Pendiente')?'<div align="center"><span class="badge bg-red">'.$reg->estado.'</span></div>':'<div align="center"><span class="badge bg-yellow">'.$reg->estado.'</span></div>'

            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarclientecxcpendiente':
		$rspta=$escritorio->listarclientecxcpendiente($idvendedor);
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="left">'.$reg->nombre.'</div>',
						"1"=>'<div align="left">'.$reg->nrocxc.'</div>',
            "2"=>'<div align="center">'.$reg->fechafaturacion.'</div>',
						"3"=>'<div align="left">'.$reg->monto.'</div>',
						"4"=>'<div align="left">'.$reg->cobrado.'</div>',
						"5"=>'<div align="left">'.$reg->saldo.'</div>',
						"6"=>($reg->estado=='Pendiente')?'<div align="center"><span class="badge bg-red">'.$reg->estado.'</span></div>':'<div align="center"><span class="badge bg-yellow">'.$reg->estado.'</span></div>'

            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarclientecxcpendientemas90dias':
		$rspta=$escritorio->listarclientecxcpendientemas90dias($idvendedor);
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="left">'.$reg->nombre.'</div>',
						"1"=>'<div align="left">'.$reg->nrocxc.'</div>',
            "2"=>'<div align="center">'.$reg->fechafaturacion.'</div>',
						"3"=>'<div align="left">'.$reg->monto.'</div>',
						"4"=>'<div align="left">'.$reg->cobrado.'</div>',
						"5"=>'<div align="left">'.$reg->saldo.'</div>',
						"6"=>($reg->estado=='Pendiente')?'<div align="center"><span class="badge bg-red">'.$reg->estado.'</span></div>':'<div align="center"><span class="badge bg-yellow">'.$reg->estado.'</span></div>'

            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;
/*
	case 'listarclientenuncaantendido':
		$rspta=$escritorio->listarclientenuncaantendido($idvendedor);
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="left">'.$reg->nombre.'</div>',
						"1"=>'<div align="left">'.$reg->direcciond.'</div>',
						"2"=>'<div align="left">'.$reg->telefono.'</div>',
            "3"=>($reg->condicion)?'<div align="center"><span class="badge bg-green">Activado</span></div>':'<div align="center"><span class="badge bg-red">Desactivado</span></div>'
            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;
*/
    case 'listarclientenuncaantendido':
		$rspta=$escritorio->listarclientenuncaantendido($idvendedor);
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="left">'.$reg->nombre.'</div>',
						"1"=>'<div align="left">'.$reg->direcciond.'</div>',
						"2"=>'<div align="left">'.$reg->telefono.'</div>',
            "3"=>'<div align="right">'.$reg->saldo.'</div>',
						"4"=>($reg->estados=='Sin Deuda')?'<div align="center"><span class="badge bg-green">'.$reg->estados.'</span></div>':'<div align="center"><span class="badge bg-red">'.$reg->estados.'</span></div>'
            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	/** Indicadores principales */

	case 'listarclientecxcyear':
		$rspta=$escritorio->listarclientecxcyear();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="left">'.$reg->nombre.'</div>',
						"1"=>'<div align="center">'.$reg->nrocxc.'</div>',
						"2"=>'<div align="center">'.$reg->fechafaturacion.'</div>',
						"3"=>'<div align="right">'.$reg->monto.'</div>',
						"4"=>'<div align="right">'.$reg->cobrado.'</div>',
						"5"=>'<div align="right">'.$reg->saldo.'</div>',
						"6"=>($reg->estado=='Pendiente')?'<div align="center"><span class="badge bg-red">'.$reg->estado.'</span></div>':'<div align="center"><span class="badge bg-yellow">'.$reg->estado.'</span></div>'
            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarclientecxcunidadesyear':
		$rspta						= $escritorio->listarclientecxcunidadesyear();
		$data							= Array();
		$nombre 					= "yyyyyyy";
		$nrocxc 					= "";
		$fechafaturacion 	= "";
		while ($reg=$rspta->fetch_object()) {
					 
			$nombre 					= $reg->nombre;
			$nrocxc 					= $reg->nrocxc;
			$fechafaturacion 	= $reg->fechafaturacion;
			$data[]=array(
						"0"=>'<div align="left">'.$nombre.'</div>',
						"1"=>'<div align="center">'.$nrocxc.'</div>',
						"2"=>'<div align="center">'.$fechafaturacion.'</div>',
						"3"=>'<div align="left">'.$reg->articulo.'</div>',
						"4"=>'<div align="center">'.$reg->cajas.'</div>',
						/* "5"=>'<div align="left">'.$reg->saldo.'</div>',
						"6"=>($reg->estado=='Pendiente')?'<div align="center"><span class="badge bg-red">'.$reg->estado.'</span></div>':'<div align="center"><span class="badge bg-yellow">'.$reg->estado.'</span></div>' */
            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarclientecxcmesp':
		$rspta=$escritorio->listarclientecxcmesp();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="left">'.$reg->nombre.'</div>',
						"1"=>'<div align="center">'.$reg->nrocxc.'</div>',
						"2"=>'<div align="center">'.$reg->fechafaturacion.'</div>',
						"3"=>'<div align="right">'.$reg->monto.'</div>',
						"4"=>'<div align="right">'.$reg->cobrado.'</div>',
						"5"=>'<div align="right">'.$reg->saldo.'</div>',
						"6"=>($reg->estado=='Pendiente')?'<div align="center"><span class="badge bg-red">'.$reg->estado.'</span></div>':'<div align="center"><span class="badge bg-yellow">'.$reg->estado.'</span></div>'
            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarclientecxcunidadesmes':
		$rspta						= $escritorio->listarclientecxcunidadesmes();
		$data							= Array();
		$nombre 					= "yyyyyyy";
		$nrocxc 					= "";
		$fechafaturacion 	= "";
		while ($reg=$rspta->fetch_object()) {
					 
			$nombre 					= $reg->nombre;
			$nrocxc 					= $reg->nrocxc;
			$fechafaturacion 	= $reg->fechafaturacion;
			$data[]=array(
						"0"=>'<div align="left">'.$nombre.'</div>',
						"1"=>'<div align="center">'.$nrocxc.'</div>',
						"2"=>'<div align="center">'.$fechafaturacion.'</div>',
						"3"=>'<div align="left">'.$reg->articulo.'</div>',
						"4"=>'<div align="center">'.$reg->cajas.'</div>',
						/* "5"=>'<div align="left">'.$reg->saldo.'</div>',
						"6"=>($reg->estado=='Pendiente')?'<div align="center"><span class="badge bg-red">'.$reg->estado.'</span></div>':'<div align="center"><span class="badge bg-yellow">'.$reg->estado.'</span></div>' */
            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarclientecxcpendientep':
		$rspta=$escritorio->listarclientecxcpendientep();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="left">'.$reg->nombre.'</div>',
						"1"=>'<div align="left">'.$reg->vendedor.'</div>',
						"2"=>'<div align="center">'.$reg->nrocxc.'</div>',
            "3"=>'<div align="center">'.$reg->fechafaturacion.'</div>',
						"4"=>'<div align="right">'.$reg->monto.'</div>',
						"5"=>'<div align="right">'.$reg->cobrado.'</div>',
						"6"=>'<div align="right">'.$reg->saldo.'</div>',
						"7"=>($reg->estado=='Pendiente')?'<div align="center"><span class="badge bg-red">'.$reg->estado.'</span></div>':'<div align="center"><span class="badge bg-yellow">'.$reg->estado.'</span></div>'

            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarinventario':
    /* $fecha_inicio =$_POST['fecha_inicio'];
    $fecha_fin    =$_POST['fecha_fin']; */
    $idalmacen    =$_POST['idalmacen'];
    $idarticulo   =$_POST['idarticulo'];
    $rspta				=$escritorio->listarinventario($idalmacen,$idarticulo);
    $data					=Array();

    while ($reg=$rspta->fetch_object()) {
      $almacen = $reg->almacennombre;
      if ($reg->nroalmacen>1){
        $almacen = 'Varios';
      }

      $data[]=array(
        "0"=>$almacen,
        "1"=>$reg->codigo,
        "2"=>$reg->articulo,
        "3"=>$reg->categoria,
        "4"=>$reg->stock,
        /* "5"=>$reg->primera_fecha,
        "6"=>$reg->ultima_fecha */

        );
    }
    $results=array(
        "sEcho"=>1,//info para datatables
        "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data); 
    echo json_encode($results);
    //  echo $results;
  break;

	case 'listarpedidop':
		$rspta	=$escritorio->listarpedidop();
		$data		=Array();
		
		while ($reg=$rspta->fetch_object()) {
      $estado='';	 
			if 	($reg->estado=='Pendiente') {
				$estado='<span class="badge bg-red">Pendiente</span>';
			}elseif ($reg->estado=='Parcial'){
				$estado='<span class="badge bg-yellow">Parcial</span>';
			}elseif ($reg->estado=='Anulado'){
				$estado='<span class="badge bg-navy">Anulado</span>';
			}elseif ($reg->estado=='Verificado'){
				$estado='<span class="badge bg-blue">Verificado</span>';	
			}else{
				$estado='<span class="badge bg-green">Facturado</span>';
			}
			
					 
			$data[]=array(
							"0"=>$reg->num_pedido,
							"1"=>$reg->fecha,
							"2"=>$reg->cliente,
							"3"=>$reg->vendedor,
							"4"=>$reg->articulo,
							"5"=>$reg->cajas,
							"6"=>$estado
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarpedidov':
		$rspta	=$escritorio->listarpedidov();
		$data		=Array();
		
		while ($reg=$rspta->fetch_object()) {
        $estado='';	 
			if 	($reg->estado=='Pendiente') {
				$estado='<span class="badge bg-red">Pendiente</span>';
			}elseif ($reg->estado=='Parcial'){
				$estado='<span class="badge bg-yellow">Parcial</span>';
			}elseif ($reg->estado=='Anulado'){
				$estado='<span class="badge bg-navy">Anulado</span>';
			}elseif ($reg->estado=='Verificado'){
				$estado='<span class="badge bg-blue">Verificado</span>';	
			}else{
				$estado='<span class="badge bg-green">Facturado</span>';
			}
			
					 
			$data[]=array(
							"0"=>$reg->num_pedido,
							"1"=>$reg->fecha,
							"2"=>$reg->cliente,
							"3"=>$reg->vendedor,
							"4"=>$reg->articulo,
							"5"=>$reg->cajas,
							"6"=>$estado
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;
	
	case 'listarnumeroarticulominimod':
        /* $fecha_inicio =$_POST['fecha_inicio'];
        $fecha_fin    =$_POST['fecha_fin']; 
        $idalmacen    =$_POST['idalmacen'];
        $idarticulo   =$_POST['idarticulo'];*/
        $rspta				=$escritorio->listarnumeroarticulominimod();
        $data					=Array();
    
        while ($reg=$rspta->fetch_object()) {
         
    
          $data[]=array(
            "0"=>'<div align="center">'.$reg->codigo.'</div>',
            "1"=>$reg->articulo,
    				"2"=>'<div align="center"><img src="./files/articulos/'.$reg->imagen.'" height="50px" width="50px"></div>',
            "3"=>'<div align="center"><span class="badge bg-red">'.$reg->stock.'</span></div>',
    			  "4"=>'<div align="center">'.$reg->stockminimo.'</div>',
    				"5"=>$reg->stock,
            /* "5"=>$reg->primera_fecha,
            "6"=>$reg->ultima_fecha */
    
            );
        }
        $results=array(
            "sEcho"=>1,//info para datatables
            "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
            "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
            "aaData"=>$data); 
        echo json_encode($results);
        //  echo $results;
    break;

    case 'listarclientecxcmas90':
		$rspta=$escritorio->listarclientecxcmas90();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="left">'.$reg->nombre.'</div>',
						"1"=>'<div align="left">'.$reg->vendedor.'</div>',
						"2"=>'<div align="center">'.$reg->nrocxc.'</div>',
                        "3"=>'<div align="center">'.$reg->fechafaturacion.'</div>',
						"4"=>'<div align="right">'.$reg->monto.'</div>',
						"5"=>'<div align="right">'.$reg->cobrado.'</div>',
						"6"=>'<div align="right">'.$reg->saldo.'</div>',
						"7"=>'<div align="center">'.$reg->diascalle.'</div>',
						"8"=>($reg->estado=='Pendiente')?'<div align="center"><span class="badge bg-red">'.$reg->estado.'</span></div>':'<div align="center"><span class="badge bg-yellow">'.$reg->estado.'</span></div>'

            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;
	
	case 'listarcobranzayear':
		$rspta=$escritorio->listarcobranzayear();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="center">'.$reg->fecha.'</div>',
						"1"=>'<div align="left">'.$reg->cliente.'</div>',
						"2"=>'<div align="left">'.$reg->vendedor.'</div>',
						"3"=>'<div align="left">'.$reg->nroscxc.'</div>',
						"4"=>'<div align="left">'.$reg->nrosfacturas.'</div>',
						"5"=>'<div align="left">'.$reg->cuenta.'</div>',
						"6"=>'<div align="right">'.$reg->total_pago.'</div>',
						
            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarcobranzames':
		$rspta=$escritorio->listarcobranzames();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="center">'.$reg->fecha.'</div>',
						"1"=>'<div align="left">'.$reg->cliente.'</div>',
						"2"=>'<div align="left">'.$reg->vendedor.'</div>',
						"3"=>'<div align="left">'.$reg->nroscxc.'</div>',
						"4"=>'<div align="left">'.$reg->nrosfacturas.'</div>',
						"5"=>'<div align="left">'.$reg->cuenta.'</div>',
						"6"=>'<div align="right">'.$reg->total_pago.'</div>',
					
            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;
	
	case 'listarcajasdeschadasmes':
		$rspta						= $escritorio->listarcajasdeschadasmes();
		$data							= Array();
		
		while ($reg=$rspta->fetch_object()) {
		
			$data[]=array(
						"0"=>'<div align="left">'.$reg->vendedor.'</div>',
						"1"=>'<div align="left">'.$reg->articulo.'</div>',
						"2"=>'<div align="center">'.$reg->cajas.'</div>',
						
            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;
	
	
	//Mes Anterior
	case 'listarcobranzamesa':
		$rspta=$escritorio->listarcobranzamesa();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="center">'.$reg->fecha.'</div>',
						"1"=>'<div align="left">'.$reg->cliente.'</div>',
						"2"=>'<div align="left">'.$reg->vendedor.'</div>',
						"3"=>'<div align="left">'.$reg->nroscxc.'</div>',
						"4"=>'<div align="left">'.$reg->nrosfacturas.'</div>',
						"5"=>'<div align="left">'.$reg->cuenta.'</div>',
						"6"=>'<div align="right">'.$reg->total_pago.'</div>',
					
            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;
	
	case 'listarclientecxcmespa':
		$rspta=$escritorio->listarclientecxcmespa();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="left">'.$reg->nombre.'</div>',
						"1"=>'<div align="center">'.$reg->nrocxc.'</div>',
						"2"=>'<div align="center">'.$reg->fechafaturacion.'</div>',
						"3"=>'<div align="right">'.$reg->monto.'</div>',
						"4"=>'<div align="right">'.$reg->cobrado.'</div>',
						"5"=>'<div align="right">'.$reg->saldo.'</div>',
						"6"=>($reg->estado=='Pendiente')?'<div align="center"><span class="badge bg-red">'.$reg->estado.'</span></div>':'<div align="center"><span class="badge bg-yellow">'.$reg->estado.'</span></div>'
            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;
	
	//Por cliente y Articulo
	/*
	case 'listarclientecxcunidadesmesa':
		$rspta						= $escritorio->listarclientecxcunidadesmesa();
		$data							= Array();
		$nombre 					= "yyyyyyy";
		$nrocxc 					= "";
		$fechafaturacion 	= "";
		while ($reg=$rspta->fetch_object()) {
					 
			$nombre 					= $reg->nombre;
			$nrocxc 					= $reg->nrocxc;
			$fechafaturacion 	= $reg->fechafaturacion;
			$data[]=array(
						"0"=>'<div align="left">'.$nombre.'</div>',
						"1"=>'<div align="center">'.$nrocxc.'</div>',
						"2"=>'<div align="center">'.$fechafaturacion.'</div>',
						"3"=>'<div align="left">'.$reg->articulo.'</div>',
						"4"=>'<div align="center">'.$reg->cajas.'</div>',
						// "5"=>'<div align="left">'.$reg->saldo.'</div>',
						//"6"=>($reg->estado=='Pendiente')?'<div align="center"><span class="badge bg-red">'.$reg->estado.'</span></div>':'<div align="center"><span class="badge bg-yellow">'.$reg->estado.'</span></div>' 
            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;
	*/
	
	//Por vendedor y Articulo
	case 'listarclientecxcunidadesmesa':
		$rspta						= $escritorio->listarclientecxcunidadesmesa();
		$data							= Array();
		$nombre 					= "yyyyyyy";
		$nrocxc 					= "";
		$fechafaturacion 	= "";
		while ($reg=$rspta->fetch_object()) {
					 
			$nombre 					= $reg->nombre;
			$nrocxc 					= $reg->nrocxc;
			$fechafaturacion 	= $reg->fechafaturacion;
			$data[]=array(
						"0"=>'<div align="left">'.$reg->vendedor.'</div>',
						"1"=>'<div align="left">'.$reg->articulo.'</div>',
						"2"=>'<div align="center">'.$reg->cajas.'</div>',
						/* "5"=>'<div align="left">'.$reg->saldo.'</div>',
						"6"=>($reg->estado=='Pendiente')?'<div align="center"><span class="badge bg-red">'.$reg->estado.'</span></div>':'<div align="center"><span class="badge bg-yellow">'.$reg->estado.'</span></div>' */
            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;
	
	case 'listarcajasdeschadasmesanterior':
		$rspta						= $escritorio->listarcajasdeschadasmesanterior();
		$data							= Array();
		
		while ($reg=$rspta->fetch_object()) {
		
			$data[]=array(
						"0"=>'<div align="left">'.$reg->vendedor.'</div>',
						"1"=>'<div align="left">'.$reg->articulo.'</div>',
						"2"=>'<div align="center">'.$reg->cajas.'</div>',
						
            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;
	
	case 'listarinventariounidadespendiente':
    /* $fecha_inicio =$_POST['fecha_inicio'];
    $fecha_fin    =$_POST['fecha_fin']; */
    $idalmacen    =$_POST['idalmacen'];
    $idarticulo   =$_POST['idarticulo'];
    $rspta				=$escritorio->listarinventariounidadespendiente($idalmacen,$idarticulo);
    $data					=Array();

    while ($reg=$rspta->fetch_object()) {
      $almacen = $reg->almacen;
      if ($reg->nroalmacen>1){
        $almacen = 'Varios';
      }

      $data[]=array(
        "0"=>$almacen,
        "1"=>$reg->codigo,
        "2"=>$reg->articulo,
        "3"=>$reg->categoria,
        "4"=>$reg->total_cajaspendiente,
        /* "5"=>$reg->primera_fecha,
        "6"=>$reg->ultima_fecha */

        );
    }
    $results=array(
        "sEcho"=>1,//info para datatables
        "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data); 
    echo json_encode($results);
    //  echo $results;
  break;
  
  case 'listarinventarioalmacen':
    
    $rspta				=$escritorio->listarinventarioalmacen();
    $data					=Array();

    while ($reg=$rspta->fetch_object()) {
      $almacen = $reg->almacen;
      if ($reg->nroalmacen>1){
        $almacen = 'Varios';
      }
      
      if($reg->estado=='Disponible'){
          $estado = '<span class="badge bg-green">'.$reg->estado.'</span>';
          //$stock = $reg->stock;
      }else{
          $estado = '<span class="badge bg-orange">'.$reg->estado.'</span>';
          //$stock = '<span class="badge bg-orange">'.$reg->stock.'</span>';
      }

      $data[]=array(
        "0"=>$almacen,
        "1"=>$reg->codigo,
        "2"=>$reg->articulo,
        "3"=>$reg->categoria,
        "4"=>$reg->stock,
        "5"=>$estado,
        

        );
    }
    $results=array(
        "sEcho"=>1,//info para datatables
        "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data); 
    echo json_encode($results);
    //  echo $results;
  break;
  
  //nuevos
  case 'ventasmesvendedor':
		$rspta=$escritorio->ventasmesvendedor();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="left">'.$reg->vendedor.'</div>',
						"1"=>'<div align="center">'.$reg->cajas.'</div>',
						"2"=>'<div align="center">'.$reg->porcentaje_cajas.'%</div>',
						"3"=>'<div align="right">'.$reg->venta.'</div>',
						"4"=>'<div align="center">'.$reg->porcentaje_venta.'%</div>',
						"5"=>'<div align="left">'.$reg->gerente.'</div>',
						
            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'ventasmesproducto':
		$rspta=$escritorio->ventasmesproducto();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="left">'.$reg->articulo.'</div>',
						"1"=>'<div align="center">'.$reg->cajas.'</div>',
						"2"=>'<div align="center">'.$reg->porcentaje_cajas.'%</div>',
					
            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'ventasmescanales':
		$rspta=$escritorio->ventasmescanales();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="left">'.$reg->gerente.'</div>',
						"1"=>'<div align="center">'.$reg->cajas.'</div>',
						"2"=>'<div align="center">'.$reg->porcentaje_cajas.'%</div>',
						"3"=>'<div align="right">'.$reg->venta.'</div>',
						"4"=>'<div align="center">'.$reg->porcentaje_venta.'%</div>',
				);
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;
	
	//nuevo mes anterior
	case 'ventasmesvendedora':
		$rspta=$escritorio->ventasmesvendedora();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="left">'.$reg->vendedor.'</div>',
						"1"=>'<div align="center">'.$reg->cajas.'</div>',
						"2"=>'<div align="center">'.$reg->porcentaje_cajas.'%</div>',
						"3"=>'<div align="right">'.$reg->venta.'</div>',
						"4"=>'<div align="center">'.$reg->porcentaje_venta.'%</div>',
						"5"=>'<div align="left">'.$reg->gerente.'</div>',
						
            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'ventasmesproductoa':
		$rspta=$escritorio->ventasmesproductoa();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="left">'.$reg->articulo.'</div>',
						"1"=>'<div align="center">'.$reg->cajas.'</div>',
						"2"=>'<div align="center">'.$reg->porcentaje_cajas.'%</div>',
					
            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'ventasmescanalesa':
		$rspta=$escritorio->ventasmescanalesa();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="left">'.$reg->gerente.'</div>',
						"1"=>'<div align="center">'.$reg->cajas.'</div>',
						"2"=>'<div align="center">'.$reg->porcentaje_cajas.'%</div>',
						"3"=>'<div align="right">'.$reg->venta.'</div>',
						"4"=>'<div align="center">'.$reg->porcentaje_venta.'%</div>',
				);
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;
	
	//nuevo Año
	case 'ventasvendedoryear':
		$rspta=$escritorio->ventasvendedoryear();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="left">'.$reg->vendedor.'</div>',
						"1"=>'<div align="center">'.$reg->cajas.'</div>',
						"2"=>'<div align="center">'.$reg->porcentaje_cajas.'%</div>',
						"3"=>'<div align="right">'.$reg->venta.'</div>',
						"4"=>'<div align="center">'.$reg->porcentaje_venta.'%</div>',
						"5"=>'<div align="left">'.$reg->gerente.'</div>',
						
			);
		}
		$results=array(
				"sEcho"=>1,//info para datatables
				"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
				"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
				"aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'ventasproductoyear':
		$rspta=$escritorio->ventasproductoyear();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="left">'.$reg->articulo.'</div>',
						"1"=>'<div align="center">'.$reg->cajas.'</div>',
						"2"=>'<div align="center">'.$reg->porcentaje_cajas.'%</div>',
					
			);
		}
		$results=array(
				"sEcho"=>1,//info para datatables
				"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
				"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
				"aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'ventascanalesyear':
		$rspta=$escritorio->ventascanalesyear();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="left">'.$reg->gerente.'</div>',
						"1"=>'<div align="center">'.$reg->cajas.'</div>',
						"2"=>'<div align="center">'.$reg->porcentaje_cajas.'%</div>',
						"3"=>'<div align="right">'.$reg->venta.'</div>',
						"4"=>'<div align="center">'.$reg->porcentaje_venta.'%</div>',
				);
		}
		$results=array(
				"sEcho"=>1,//info para datatables
				"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
				"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
				"aaData"=>$data); 
		echo json_encode($results);
	break;	

}
 ?>